QGIS Application - Bug report #18074
[cluster renderer] Data defined values using a field have no effect on non clustered symbols
2018-02-11 06:32 PM - Dominique Lyszczarz

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25970
Description

I'm trying to setup some data defined values in combinaison of point cluster renderer. In the example available in attachment, I've defined
the non clustered symbol with a circle which use a data defined offset based on 2 fields folowing this expression :
array_to_string(array("offx", "offy"))

In this example the defined expression has no effect however if | use some aggregate function : array_to_string(array(maximum("offx"),
maximum("offy"))) it works while not clustered symbols does not need any aggregate and futhermore the resulting value become the same
for each features (maximum of all features's values).

In the same way, trying to setup an offet for the cluster symbol using the maximum function seems to cumpute the maximum value of each
feature instead of only the clustered ones.

Associated revisions

Revision ac28714a - 2018-02-12 02:56 AM - Nyall Dawson

Fix data defined properties in cluster/displacement renderer
do not evaluate for isolated features

Fixes #18074

History

#1 - 2018-02-12 02:35 AM - Nyall Dawson
- Pull Request or Patch supplied changed from No to Yes

PR at https://github.com/qgis/QGIS/pull/6313

#2 - 2018-02-12 02:55 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|ac28714a40efc066279587a7d169470c39a4d119.

#3 - 2018-02-21 09:18 PM - Giovanni Manghi
- Resolution set to fixed/implemented
